﻿#language: ru

@scp

Функционал: 010. SCP. Проверка графиков работы

Сценарий: 010.0. SCP. Подготовка

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Справочники.Подразделения" без контроля ссылок

Сценарий: 010.1. SCP. Создание подразделения с графиком

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Подразделения'
	Тогда открылось окно 'Подразделения'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Подразделение (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение'
	И я нажимаю на кнопку создать поля "График работы"
	Тогда открылось окно 'График работы (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'График работы перемещения'
	И в поле 'с' я ввожу текст '01.01.2020'
	И в поле 'по' я ввожу текст '01.01.2021'
	И из выпадающего списка "Производственный календарь" я выбираю по строке 'Российская Федерация'
	И я устанавливаю флаг 'Учитывать праздники'
	* Заполнение расписания по дням		
		И Я заполняю расписание на "Понедельник" для графика перемещения
		И Я заполняю расписание на "Вторник" для графика перемещения
		И Я заполняю расписание на "Среда" для графика перемещения
		И Я заполняю расписание на "Четверг" для графика перемещения
		И Я заполняю расписание на "Пятница" для графика перемещения
		
	Тогда элемент формы "Наименование" стал равен 'График работы перемещения'
	Тогда у элемента формы с именем "ДатаНачала" текст редактирования стал равен '01.01.2020'
	Тогда у элемента формы с именем "ДатаОкончания" текст редактирования стал равен '01.01.2021'
	Тогда элемент формы с именем "ПроизводственныйКалендарь" стал равен 'Российская Федерация'
	Тогда элемент формы с именем "СпособЗаполненияПоНеделям" стал равен 'По неделям'
	Тогда элемент формы с именем "СпособЗаполненияПоЦикламПроизвольнойДлины" стал равен 'По неделям'
	Тогда элемент формы с именем "УчитыватьПраздники" стал равен 'Да'
	Тогда элемент формы с именем "РасписаниеПредпраздничногоДня" стал равен 'Заполнить расписание'
	Тогда таблица "ШаблонЗаполнения" стала равной:
		| 'N' | 'Представление дня' | 'День включен в график' | 'Представление расписания'         |
		| '1' | 'Понедельник'       | 'Да'                    | '10 ч. (07:00-12:00, 13:00-18:00)' |
		| '2' | 'Вторник'           | 'Да'                    | '10 ч. (07:00-12:00, 13:00-18:00)' |
		| '3' | 'Среда'             | 'Да'                    | '10 ч. (07:00-12:00, 13:00-18:00)' |
		| '4' | 'Четверг'           | 'Да'                    | '10 ч. (07:00-12:00, 13:00-18:00)' |
		| '5' | 'Пятница'           | 'Да'                    | '10 ч. (07:00-12:00, 13:00-18:00)' |
		| '6' | 'Суббота'           | 'Нет'                   | 'Заполнить расписание'             |
		| '7' | 'Воскресенье'       | 'Нет'                   | 'Заполнить расписание'             |
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'График работы перемещения (График работы)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'График работы перемещения (График работы)' в течение 20 секунд
	Тогда открылось окно 'Подразделение (создание) *'
	Тогда элемент формы с именем "Наименование" стал равен 'Перемещение'
	Тогда элемент формы с именем "Календарь" стал равен 'График работы перемещения'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Подразделение (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Подразделения' в течение 20 секунд
	# Второе подразделение, чтобы подстановка подразделений в документы не работала
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Подразделение (создание)'
	И в поле 'Наименование' я ввожу текст 'Склад'
	И я нажимаю кнопку очистить у поля "График работы"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Подразделение (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Подразделения' в течение 20 секунд
	И я закрыл все окна клиентского приложения
	
Сценарий: 010.1. SCP. Установка подразделения с графиком схеме обеспечения

	Дано Я подключаюсь под "Планирование цепочек поставок"
	Дано Я открываю форму списка схем обеспечения
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        | 'Тип обеспечения' |
		| 'Белоусово->Основной' | 'Перемещение'     |
	И в таблице "Список" я выбираю текущую строку	
	Тогда я жду открытия окна "Белоусово->Основной (Схема обеспечения)" в течение 20 секунд
	И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'ч'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Перемещение'
	И я перехожу к следующему реквизиту
	Тогда элемент формы с именем "Наименование" стал равен 'Белоусово->Основной'
	Тогда элемент формы с именем "ТипОбеспечения" стал равен 'Перемещение'
	Тогда элемент формы с именем "Подразделение" стал равен 'Перемещение'
	Тогда элемент формы с именем "Описание" стал равен ''
	Тогда элемент формы с именем "Длительность" стал равен '2'
	Тогда элемент формы с именем "ЕдиницаИзмеренияДлительности" стал равен 'ч'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда я жду открытия окна 'Схемы обеспечения' в течение 20 секунд
	И я закрыл все окна клиентского приложения
	
Сценарий: 010.1. SCP. Проверка расчета дат запуска

	Дано Я открываю и заполняю АРМ SCP
	И я перехожу к закладке "Движения"
	И в таблице "ДвиженияТоваров" я перехожу к строке:
		| 'Источник' | 'Номенклатура'                                | 'Склад'              | 'Характеристика' |
		| 'Остаток'  | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И я нажимаю на кнопку с именем 'ДвиженияТоваровОбеспечить'
	Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
	# В схеме стоит длительность 2ч.
	* Обычный расчет
		И в поле 'ВремяВыпуска' я ввожу текст '11:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '19.08.20 09:00' | '2 ч'          |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '19.08.20 09:00' | '2 ч'          |
	* Расчет через обед
		# Обед 12-13
		И в поле 'ВремяВыпуска' я ввожу текст '14:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '19.08.20 11:00' | '2 ч'          |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '19.08.20 11:00' | '2 ч'          |
	* Расчет в обед
		# Обед 12-13
		И в поле 'ВремяВыпуска' я ввожу текст '12:30'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '19.08.20 10:00' | '2 ч'          |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '19.08.20 10:00' | '2 ч'          |
	* Расчет через ночь
		# Время работы 7-18
		И в поле 'ВремяВыпуска' я ввожу текст '08:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '18.08.20 17:00' | '2 ч'          |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '18.08.20 17:00' | '2 ч'          |
	* Расчет в обед
		# Время работы 7-18
		И в поле 'ВремяВыпуска' я ввожу текст '06:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '18.08.20 16:00' | '2 ч'          |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '18.08.20 16:00' | '2 ч'          |
	* Расчет через выходные
		# Время работы 15.08.20 - суббота, 16.08 - воскресенье
		И в поле 'Выпуск' я ввожу текст '17.08.2020'
		И в поле 'ВремяВыпуска' я ввожу текст '08:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '14.08.20 17:00' | '2 ч'          |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '14.08.20 17:00' | '2 ч'          |
	* Расчет в выходные
		# Время работы 15.08.20 - суббота, 16.08 - воскресенье
		И в поле 'Выпуск' я ввожу текст '16.08.2020'
		И в поле 'ВремяВыпуска' я ввожу текст '06:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '14.08.20 16:00' | '2 ч'          |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '14.08.20 16:00' | '2 ч'          |
	* Изменение длительности на дни
		И я нажимаю на кнопку открытия поля "Схема"
		Тогда я жду открытия окна 'Белоусово->Основной (Схема обеспечения)' в течение 20 секунд
		И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'дн'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Белоусово->Основной (Схема обеспечения) *' в течение 20 секунд
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И я нажимаю на кнопку 'Перезаполнить по схеме'
	* Расчет на неделе
		И в поле 'Выпуск' я ввожу текст '19.08.2020'
		И в поле 'ВремяВыпуска' я ввожу текст '11:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '17.08.20 11:00' | '2 дн'         |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '17.08.20 11:00' | '2 дн'         |
	* Расчет через выходные
		И в поле 'Выпуск' я ввожу текст '18.08.2020'
		И в поле 'ВремяВыпуска' я ввожу текст '11:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '14.08.20 11:00' | '2 дн'         |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '14.08.20 11:00' | '2 дн'         |
	* Расчет с выпуском вне рабочего времени
		И в поле 'Выпуск' я ввожу текст '19.08.2020'
		И в поле 'ВремяВыпуска' я ввожу текст '06:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '17.08.20 07:00' | '2 дн'         |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '17.08.20 07:00' | '2 дн'         |
	* Изменение длительности на недели
		И я нажимаю на кнопку открытия поля "Схема"
		Тогда я жду открытия окна 'Белоусово->Основной (Схема обеспечения)' в течение 20 секунд
		И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю точное значение 'нед'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Белоусово->Основной (Схема обеспечения) *' в течение 20 секунд
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И я нажимаю на кнопку 'Перезаполнить по схеме'
	* Расчет с длительностью в недели
		# При расчете по неделям выполняется сдвиг ровно на нужное количество недель, без учета выходных
		И в поле 'Выпуск' я ввожу текст '19.08.2020'
		И в поле 'ВремяВыпуска' я ввожу текст '11:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '05.08.20 11:00' | '2 нед'        |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '05.08.20 11:00' | '2 нед'        |
	* Расчет с длительностью в недели с началом в выходные
		И в поле 'Выпуск' я ввожу текст '16.08.2020'
		И в поле 'ВремяВыпуска' я ввожу текст '11:00'
		И я перехожу к следующему реквизиту
		Тогда таблица "План" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Запуск'         | 'Длительность' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '02.08.20 11:00' | '2 нед'        |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '02.08.20 11:00' | '2 нед'        |